#ifndef _KYLIN_COMPONENT_H
#define _KYLIN_COMPONENT_H

#ifdef __cplusplus
extern "C" {
#endif

enum KYLIN_FLIGHT_STATE{
	KYLIN_FLIGHT_ERR=-2,
	KYLIN_FLIGHT_NOSURPPORT=-1,
	KYLIN_FLIGHT_OFF= 0,  //飞行模式关
	KYLIN_FLIGHT_ON= 1,//飞行模式开
};

enum {
	KYLIN_FLIGHT_NEED_CACHE= 0,  //从缓存中同步
	KYLIN_FLIGHT_NEED_DBUS= 1,//从DBUS同步
};


typedef int (*flightStateChangeCb) (void* usreData,int newState);

int kylinFlightComponentInit(void * cbUserData,flightStateChangeCb changeCb);
bool kylinIsBindFlight();
void kylinSetBindFlight(bool bind);
int kylinGetFlightModeState(int isDbus);
bool kylinIsSupportFlightMode(int isDbus);


#ifdef __cplusplus
}
#endif

#endif
